### Method

# Gimp Procedure add_menu_path

unstable since: 3.0

#### Declaration [src]

    void
    gimp_procedure_add_menu_path (
      GimpProcedure* procedure,
      const gchar* menu_path
    )

#### Description [src]

Adds a menu path to the procedure. Only procedures which have a menu label can add a menu path.

Menu paths are untranslated paths to known menus and submenus with the syntax `<Prefix>/Path/To/Submenu`, for example `<Image>/Layer/Transform`. GIMP will localize these. Nevertheless you should localize unknown parts of the path. For instance, say you want to create procedure to create customized layers and add a `Create` submenu which you want to localize from your plug-in with gettext. You could call:

    gimp_procedure_add_menu_path (procedure,
                                  g_build_path ("/", "<Image>/Layer",
                                                _("Create"), NULL));

See also: gimp_plug_in_add_menu_branch().

Available since: 3.0

#### Parameters

`menu_path`

  Type: `const gchar*`

  The `procedure`‘s additional menu path.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.